post
https://api.dev.orbit.do/v5/search
Execute a search query against a single Meilisearch index.
Available Indexes
The following indexes are available for search. Each index represents a different entity type in the system.
TRANSPORT_DRAFTS
Index name: transport-drafts
- Filterable attributes: isValid, magicInboxId, orderId, payload.type, shapeId, source.type, transport.shipperId, transport.shipperTeamId, transport.shipperUserId, type, status, payload.data.details.jobStatus, payload.data.specification.from
- Sortable attributes: createdAt
TOURS
Index name: tours
- Filterable attributes: latestStart, carrier, driver, vehicle, region, status, carrierFilter, createdAt, startedAt, finishedAt, substatus.type, carrierTeamId, comment, pricingInfo.fullPrice, distance, propertyFilters
- Sortable attributes: latestStart
ORDERS
Index name: orders
- Filterable attributes: status, shipperId, shipperTeamId, shipperUserId, shipments, shopId
- Sortable attributes: createdAt, shipmentRequests.pickup.timeFrom
SHIPMENTS
Index name: shipments
- Filterable attributes: region, status, tour
- Sortable attributes: createdAt, pickup.timeFrom
CARRIERS
Index name: carriers
- Filterable attributes: status, regions
- Sortable attributes: createdAt, name
CARRIER_USERS
Index name: carrier-users
- Filterable attributes: carrierId, carrierTeamId, status, role, type
- Sortable attributes: createdAt, lastActiveAt, name
CARRIER_TEAMS
Index name: carrier-teams
- Filterable attributes: carrierId, status
- Sortable attributes: createdAt, name
VEHICLES
Index name: vehicles
- Filterable attributes: carrierId, status, class
- Sortable attributes: numberPlate, createdAt, containerWidth, containerHeight, containerLength, maxTotalWeight, weightCapacity
SHIPPERS
Index name: shippers
- Filterable attributes: status, entityInfo.email
- Sortable attributes: createdAt, name
SHIPPER_USERS
Index name: shipper-users
- Filterable attributes: status, shipperId, shipperTeamId, email
- Sortable attributes: createdAt, firstName, lastName
SHIPPER_USER_INVITES
Index name: shipper-user-invites
- Filterable attributes: shipperId, teamId, shopId, roleId
- Sortable attributes: createdAt
SHIPPER_TEAMS
Index name: shipper-teams
- Filterable attributes: status, shipperId, entityInfo.email
- Sortable attributes: createdAt, name
SHIPPER_ADDRESSES
Index name: shipper-addresses
- Filterable attributes: shipperId, shipperTeamId, country, geocoded.id
- Sortable attributes: createdAt, updatedAt
OPERATORS
Index name: operators
- Filterable attributes: status
- Sortable attributes: createdAt
REGIONS
Index name: regions
- Sortable attributes: createdAt
DOCUMENTS
Index name: documents
- Filterable attributes: fileType
- Sortable attributes: createdAt, updatedAt, lastUpdatedAt, fileSize
PRODUCTS
Index name: products
- Filterable attributes: type, status
- Sortable attributes: createdAt
PRODUCT_BRICKS
Index name: product-bricks
- Filterable attributes: type, status
- Sortable attributes: createdAt
DATA_POOLS
Index name: data-pools
- Filterable attributes: type, status
- Sortable attributes: createdAt
Search Parameters
- q: Search query string (optional, defaults to empty string for browsing)
- filter: Meilisearch filter expression (tenant filter is automatically added server-side)
- sort: Array of sort expressions (e.g., ["createdAt:desc"])
- limit: Maximum number of results (1-200, default 20)
- offset: Pagination offset (default 0)
- facets: Attributes to return facet distribution for
- attributesToRetrieve: Specific attributes to return (defaults to all)
- attributesToHighlight: Attributes to highlight matching terms in
- showMatchesPosition: Include match position information
- showRankingScore: Include ranking score for each result
